Get unexpected result if a search was done before metacat finishes its indexing during the inserting
process.
Description

Hi, Scott:

| dug around this issue a while and found it out it was a search cache issue in Metacat. Did you do an immediate search after you
uploaded the szalt4twittergraph?

| guess you did a search before Metadata finished its indexing during the inserting (uploading), so the search didn't get the name of
kar xml and docid of kar file. The worse case is that the broken search result was cached and it will persist forever. The only way to
resolve the problem is to remove the cached item.

After | deleted the record of this document in the xml_queryresult table (the search cache table), the search worked for me. You
might make a try as well. If you see any problem, please let me know.

| will file a bug about this issue.

Thanks,

Jing

Scott Zimmer wrote:
| am trying to upload some kar files that | created to the Kepler-Dev repository. | upload them from inside Kepler-2.2 and |
always get the message that the component uploaded successfully. | am making them publicly available and logging in
anonymously. Sometimes when | search the repository through the website (http:/kepler-dev.nceas.ucsb.edu/kepler/metacat) |

get "null" as the kar name and if | click download, | get the following return
<error>the requested docid " does not exist</error>

| can still find the uploaded component if | search the repository from inside Kepler and | can drag it onto my canvas. | have
uploaded szalt3twittergraph and szalt4twittergraph to the repository. | can find both kar files from within Kepler, but
szalt4twittergraph shows up as null and can't be downloaded from the repository via the website. I'd appreciate any insight you
have into the cause.

Scott

Related issues:
Related to Metacat - Feature #5810: Implement SOLR-based search Closed 01/24/2013

History

#1 - 03/27/2013 02:30 PM - Redmine Admin
Original Bugzilla ID was 5395

#2 - 04/08/2013 01:41 PM - ben leinfelder
- Assignee changed from Chad Berkley to Jing Tao

- Target version changed from Unspecified to 2.1.0

There's nothing we can do about the indexing delay unless we perform indexing while blocking the insert/upload process. | don't think we want to go
in that direction and our design for using SOLR is completely asynchronous. The good thing about the SOLR implementation is that the query result
cache will not prevent the record from showing up once it has actually been indexed by SOLR.

#3 - 07/09/2013 02:25 PM - ben leinfelder

- Target version changed from 2.1.0 to 2.x.y

Deferring - though we don't really have a solution for this. Only affects a deprecated mechanism (pathquery), however.

#4 - 08/05/2013 09:18 AM - ben leinfelder

- Status changed from New to Rejected

| think we should mark this as 'won't fix' since it is part of the deprecated pathquery feature.
